---
version: "3.4"

services:
  grafana:
    image: grafana/grafana:latest
    ports:
      - "3001:3000"
    volumes:
      - "grafana_storage:/var/lib/grafana"
    networks:
      - default
      - jenkins_default

  influx:
    image: influxdb:latest
    ports:
      - "8086:8086"
    volumes:
      - "influxdb:/var/lib/influxdb"
    networks:
      - default
      - jenkins_default

  telegraf:
    image: telegraf:latest
    ports:
      - "8125:8125/udp"
    volumes:
      - "./telegraf.conf:/etc/telegraf/telegraf.conf"
    networks:
      - default
      - jenkins_default

networks:
  jenkins_default:
    external: true

volumes:
  grafana_storage:
  influxdb:
